Jump to content
Ultimaker Community of 3D Printing Experts
Sign in to follow this  
goodwell

Problems at Upload Marlin v1.0.0 RC3

Recommended Posts

Hi,

I wanted today the current marlin firmware on my UM load, but because I get no display more on my Ulticontroller and nothing else works.

At the moment I have the RC2 on it, that works.

Must I change something before I upload?

And what are for warnings and error messages when compiling the firmware with arduino 1.0.1?

Share this post


Link to post
Share on other sites

Also those warnings are a bug in gcc, and workarounds applied caused other problems. The real solution is to upgrade your gcc version.

The most logical reason why your UltiController no longer works is because you did not enable it in the Configuration.h

Share this post


Link to post
Share on other sites

Ahhrg.... just there was still what.Man because I otherwise always remember thought and this time totally overlooked.

I will probably slow blind with age.

Thanks Daid for your fast and Quick answer.

I use Arduino 1.0.1 as gcc i think it is up to date , or isn´it? (Date 21.05.2012)

Or does you use an other gcc?

Share this post


Link to post
Share on other sites

Dates say little. The avr-gcc I use is version 4.6.2

I know for certain that Arduino 1.0 came with an older version. And when I tried to compile Marlin with Arduino-1.0.1 yesterday the compiler was throwing strange errors.

(The actual recommended version of Arduino to use is 0.23)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×

Important Information

Terms of Use Privacy Policy